
%global meadversion 2.12.6
%global namedversion 2.12.6.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jackson-modules-java8}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.12.6.redhat-00001

Name:           %{?scl_prefix}jackson-modules-java8
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jackson modules: Java 8
Group:          Development/Java

%if %with mead
Source100: jackson-modules-java8-2.12.6.redhat-00001-project-sources.tar.gz
Source102: jackson-datatype-jdk8-2.12.6.redhat-00001.jar
Source103: jackson-modules-java8-2.12.6.redhat-00001.pom
Source104: jackson-datatype-jsr310-2.12.6.redhat-00001.jar
Source105: jackson-module-parameter-names-2.12.6.redhat-00001.pom
Source106: jackson-module-parameter-names-2.12.6.redhat-00001-sources.jar
Source107: jackson-datatype-jdk8-2.12.6.redhat-00001.pom
Source108: jackson-datatype-jsr310-2.12.6.redhat-00001-sources.jar
Source109: jackson-datatype-jsr310-2.12.6.redhat-00001-javadoc.jar
Source110: jackson-datatype-jdk8-2.12.6.redhat-00001-javadoc.jar
Source111: jackson-module-parameter-names-2.12.6.redhat-00001.jar
Source112: jackson-datatype-jsr310-2.12.6.redhat-00001.pom
Source113: jackson-datatype-jdk8-2.12.6.redhat-00001-sources.jar
Source114: jackson-module-parameter-names-2.12.6.redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            https://github.com/FasterXML/jackson-modules-java8
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Parent pom for Jackson modules needed to support Java 8 features and types.

%package -n %{?scl_prefix}jackson-module-parameter-names
Summary:        Jackson-module-parameter-names
Group:          Development/Java


%description -n %{?scl_prefix}jackson-module-parameter-names
Add-on module for Jackson (http://jackson.codehaus.org) to support introspection
of method/constructor parameter names, without having to add explicit property
name annotation.

%package -n %{?scl_prefix}jackson-datatype-jdk8
Summary:        Jackson datatype: jdk8
Group:          Development/Java


%description -n %{?scl_prefix}jackson-datatype-jdk8
Add-on module for Jackson (http://jackson.codehaus.org) to support JDK 8 data
types.

%package -n %{?scl_prefix}jackson-datatype-jsr310
Summary:        Jackson datatype: JSR310
Group:          Development/Java


%description -n %{?scl_prefix}jackson-datatype-jsr310
Add-on module to support JSR-310 (Java 8 Date & Time API) data types.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jackson-modules-java8
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -c -n jackson-modules-java8-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-module-parameter-names-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-parameter-names-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-parameter-names-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-parameter-names-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-parameter-names-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-parameter-names-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-datatype-jdk8-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-datatype-jdk8-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-datatype-jdk8-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-datatype-jdk8-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-datatype-jdk8-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-datatype-jdk8-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-datatype-jsr310-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-datatype-jsr310-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-datatype-jsr310-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-datatype-jsr310-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-datatype-jsr310-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-datatype-jsr310-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-modules-java8-%{namedversion}
unzip -qq %{_sourcedir}/jackson-modules-java8-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-modules-java8-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-modules-java8-%{namedversion} %{buildroot}%{_javadocdir}/jackson-modules-java8
%endif

# docs
%{__mkdir_p} %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name LICENSE -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name README.md -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name CREDITS-2.x -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name VERSION-2.x -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}jackson-module-parameter-names
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}
%{_javadir}/jackson-module-parameter-names-%{namedversion}.jar
%{_javadir}/jackson-module-parameter-names.jar
%if %with javadoc
%{_javadir}/jackson-module-parameter-names-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-parameter-names-javadoc.jar
%endif
%{_javadir}/jackson-module-parameter-names-%{namedversion}-sources.jar
%{_javadir}/jackson-module-parameter-names-sources.jar

%files -n %{?scl_prefix}jackson-datatype-jdk8
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}
%{_javadir}/jackson-datatype-jdk8-%{namedversion}.jar
%{_javadir}/jackson-datatype-jdk8.jar
%if %with javadoc
%{_javadir}/jackson-datatype-jdk8-%{namedversion}-javadoc.jar
%{_javadir}/jackson-datatype-jdk8-javadoc.jar
%endif
%{_javadir}/jackson-datatype-jdk8-%{namedversion}-sources.jar
%{_javadir}/jackson-datatype-jdk8-sources.jar

%files -n %{?scl_prefix}jackson-datatype-jsr310
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{pkg_name}
%{_javadir}/jackson-datatype-jsr310-%{namedversion}.jar
%{_javadir}/jackson-datatype-jsr310.jar
%if %with javadoc
%{_javadir}/jackson-datatype-jsr310-%{namedversion}-javadoc.jar
%{_javadir}/jackson-datatype-jsr310-javadoc.jar
%endif
%{_javadir}/jackson-datatype-jsr310-%{namedversion}-sources.jar
%{_javadir}/jackson-datatype-jsr310-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-modules-java8-%{namedversion}
%{_javadocdir}/jackson-modules-java8
%endif

%changelog
* Wed Apr 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.12.6-1.redhat_00001.1
Built by CPaaS



* Tue May 11 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.12.1-1.redhat_00001.1
Built by CPaaS

* Tue May 11 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.11.3-2.redhat_00001.1
Built by CPaaS

* Wed Feb 10 2021 Permaine Cheung <pcheung@redhat.com> - 2.11.3-1.redhat_00001.1
- 2.11.3.redhat-00001

* Wed Nov 04 2020 Permaine Cheung <pcheung@redhat.com> - 2.10.5-1.redhat_00002.1
- 2.10.5.redhat-00002

* Mon May 25 2020 Yong Yang <yyang@redhat.com> - 2.10.4-1.redhat_00001.1
- RPM wrapper build 2.10.4.redhat-00001

* Mon Feb 10 2020 Yong Yang <yyang@redhat.com> - 2.10.1-1.redhat_00001.1
- RPM wrapper build 2.10.1.redhat-00001

* Thu Oct 10 2019 Yong Yang <yyang@redhat.com> - 2.9.10-1.redhat_00003.1
- RPM wrapper build 2.9.10.redhat-00003

* Thu Oct 03 2019 Yong Yang <yyang@redhat.com> - 2.9.9-2.redhat_00001.1
- RPM wrapper build 2.9.10.redhat-00003

* Mon Jun 17 2019 Permaine Cheung <pcheung@redhat.com> - 2.9.9-1.redhat_00001.1
- 2.9.9.redhat-00001

* Fri Jun 07 2019 Yong Yang <yyang@redhat.com> - 2.9.5-3.redhat_2.1
- RPM wrapper build

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.9.5-2.redhat_2.1
- Rewrap for 7.2.0

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Tue Jan 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.11-1.redhat_1.1
- upgrade to 2.8.11.redhat-1

* Wed Jun 28 2017 Petr Sakar <psakar@redhat.com> - 2.8.9-1.redhat_1.1
- upgrade to 2.8.9.redhat-1

* Tue Mar 28 2017 David Walluck <dwalluck@redhat.com> - 2.8.6-2.redhat_1.1
- add an empty main package

* Tue Feb 14 2017 David Walluck <dwalluck@redhat.com> - 2.8.6-1.redhat_1.1
- release
